<?php
ob_start();
define('NTOP', 1);
$title = 'Страница авторизации';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');
switch ($act)
{
		default:
		unreg();
		if(!isset($_POST['ok']))
			{
				echo '<div class="main">';
				echo'
				<form action="authentication" method="POST">
				Ваш логин:<br/>
				<input type="text" class="input" name="login" maxlength="30" value="" size="20" maxlength="50" /><br/>
				Ваш пароль:<br/>
				<input type="password" class="input" name="password" maxlength="30" value="" size="20" maxlength="50" /><br/>
				<input name="ok" type="submit" value="Войти" /><br/>
				';
				echo '</div><div class="main">
<a href="http://'.$set['home'].'/m/recoveryPassword">Забыли пароль?</a><br />
<a href="http://'.$set['home'].'/m/registration">Регистрация</a>
</div>';
			}
		else
			{
				if(empty($_POST['login']) OR empty($_POST['password']))
					{
						$error = 'Одно из полей не было заполнено!';
					}
				if(mb_strlen($_POST['login']) > 30 OR mb_strlen($_POST['login']) < 2)
					{
						$error.='Поле "Логин" должно быть не меньше 3 и не больше 30 символов!<br/>';
					}
				if(mb_strlen($_POST['password']) > 30 OR mb_strlen($_POST['password']) < 4)
					{
						$error.='Поле "Пароль" должно быть не меньше 5 и не больше 30 символов!<br/>';
					}
				if(isset($error))
					{
						echo '<div class="error">';
						echo $error;

						echo '<a href="http://'.$set['home'].'/m/authentication">Назад<a/><br/>';
						echo '</div>';
					}
				else
					{
						$login = htmlspecialchars(trim($_POST['login']));
						$password = md5(htmlspecialchars(trim($_POST['password'])));
						$user_isset = mysql_query("SELECT * FROM `".$prefix."users` WHERE `login` = '".$login."' AND `password` = '".$password."'");
						if(mysql_num_rows($user_isset) > 0)
							{
								$row = mysql_fetch_array($user_isset);
								SetCookie('login',$login,time()+3600*24*365, '/');
								SetCookie('password',$password,time()+3600*24*365, '/');
								header('Location: http://'.$set['home'].'/m/office');
								
							}
						else
							{
								echo '<div class="error">';
								echo 'Пользователь не найден в базе , или данные не верны!<br/>';
								echo '<a href="http://'.$set['home'].'/m/authentication">Назад<a/><br/>';
								echo '</div>';
							}
					}
			}
		break;
		case 'exit':
		reg();
		if(isset($_COOKIE['login']) AND isset($_COOKIE['password']))
			{
				SetCookie('login','',time(), '/');
				SetCookie('password','',time(), '/');
				header('Location: http://'.$set['home'].'');
			}
		else
			{
				echo '<div class="error">';
				echo 'Вы не авторизованы для выхода! <br/>';
				echo '</div>';
			}
		break;
	}

require_once ('foot.php');
?>